Uploaded image for project: 'Kafka'
  1. Kafka
  2. KAFKA-1645

some more jars in our src release

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Blocker
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 0.8.2.0
    • Component/s: None
    • Labels:
      None

      Description

      The first one is being taken care of in KAFKA-1490

      the rest... can we just delete them? Do we need/want them anymore?

      root@precise64:~/kafka-0.8.1.1-src# find ./ -name *jar
      ./gradle/wrapper/gradle-wrapper.jar
      ./lib/apache-rat-0.8.jar
      ./system_test/migration_tool_testsuite/0.7/lib/kafka-0.7.0.jar
      ./system_test/migration_tool_testsuite/0.7/lib/kafka-perf-0.7.0.jar
      ./system_test/migration_tool_testsuite/0.7/lib/zkclient-0.1.jar
      ./contrib/hadoop-consumer/lib/piggybank.jar
      ./contrib/hadoop-producer/lib/piggybank.jar
      
      

      rat is not required in the project I can speak for that file +1 to remove it

      I don't see why we have to keep the other ones nor what code changes we have to make for getting rid of them.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                charmalloc Joe Stein
                Reporter:
                joestein Joe Stein
                Reviewer:
                Jun Rao
              • Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: